libmvel-java_2.4.0-1_all.deb


Advertisement

Description

libmvel-java - expression language for Java-based applications - Library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libmvel-java_2.4.0-1_all.deb
Package name libmvel-java
Package version 2.4.0
Package release 1
Package architecture all
Package type deb
Category java role::shared-lib
Homepage https://github.com/mvel/mvel/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 615.35 KB
Installed size 702.00 KB
MVEL may be useful as an extension to anything from use in JSP Tag Libraries,
to the configuration facilities of your library/framework.
In addition to being an expression language, MVEL also comes packaged with an
templating system similar to Velocity and FreeMarker.

Alternatives

Package Version Architecture Repository
libmvel-java_2.4.0-1_all.deb 2.4.0 all Debian Main
libmvel-java - - -

Requires

Name Value
libasm-java >= 6.0~alpha

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmvel-java_2.4.0-1_all.deb
Source Package mvel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmvel-java deb package:
    # sudo apt-get install libmvel-java

Files

Path
/usr/share/doc/libmvel-java/changelog.Debian.gz
/usr/share/doc/libmvel-java/copyright
/usr/share/java/mvel2-2.4.0.Final.jar
/usr/share/java/mvel2.jar
/usr/share/maven-repo/org/mvel/mvel2/2.4.0.Final/mvel2-2.4.0.Final.jar
/usr/share/maven-repo/org/mvel/mvel2/2.4.0.Final/mvel2-2.4.0.Final.pom
/usr/share/maven-repo/org/mvel/mvel2/debian/mvel2-debian.jar
/usr/share/maven-repo/org/mvel/mvel2/debian/mvel2-debian.pom

Changelog

2017-12-02 - Markus Koschany <apo@debian.org>
mvel (2.4.0-1) unstable; urgency=medium
* Team upload.
* New upstream version 2.4.0.
* Change homepage address to github.com because codehaus.org is gone.
* Switch to compat level 10.
* Use only Build-Depends field.
* wrap-and-sort -sa.
* Declare compliance with Debian Policy 4.1.2.
* Remove --has-package-version flag.
* d/copyright: Use https for Format field.
* Refresh use_system_asm.diff.
* Add java9.patch and work around the FTBFS with Java 9 by ignoring doclint
errors. Thanks to Chris West for the report. (Closes: #875775)
2016-10-03 - Emmanuel Bourg <ebourg@apache.org>
mvel (2.3.1-1) unstable; urgency=medium
* Team upload.
* New upstream release.
- Refreshed the patches
* Depend on libasm-java (>= 5.0) instead of libasm4-java
* Standards-Version updated to 3.9.8
* Use secure Vcs-* URLs
* Removed the Eclipse files from the upstream tarball
2016-01-18 - Emmanuel Bourg <ebourg@apache.org>
mvel (2.2.7-1) unstable; urgency=medium
* Team upload.
* New upstream release.
- Refreshed the patches
- Removed java8-compatibility.patch (fixed upstream)
- Build depend on junit4 instead of junit
- Depend on libasm4-java instead of libasm3-java (Closes: #800853)
- Enabled the bundle plugin
* Build with the DH sequencer instead of CDBS
* Moved the package to Git
* Standards-Version updated to 3.9.6 (no changes)
* Use the Files-Excluded field of debian/copyright to clean up
the upstream tarball
2014-07-16 - Emmanuel Bourg <ebourg@apache.org>
mvel (2.0.18-4) unstable; urgency=medium
* Team upload.
* Fixed a compilation error with Java 8
* Fixed the OptimizerFactory class and the unit tests to work
with the system version of ASM
* Added d/maven.ignoreRules to avoid patching the pom for disabling plugins
* debian/watch: Updated to watch the release tags on Github
2013-12-02 - Emmanuel Bourg <ebourg@apache.org>
mvel (2.0.18-3) unstable; urgency=low
* Team upload.
* Use the default Maven plugins instead of a fixed version to avoid build
failures when a plugin is upgraded (Closes: #730939)
* debian/control:
- Standards-Version updated to 3.9.5 (no changes)
- Use canonical URLs for the Vcs-* fields
* Switch to debhelper level 9
* debian/copyright: Updated to the Copyright Format 1.0
2012-06-20 - Niels Thykier <niels@thykier.net>
mvel (2.0.18-2) unstable; urgency=low
* Team upload.
* Explicitly give encoding to fix FTBFS with Java7.
* Remove duplicate fields in d/copyright.
* Add missing --java-lib in d/libmvel-java.poms.
2010-07-01 - Damien Raude-Morvan <drazzib@debian.org>
mvel (2.0.18-1) unstable; urgency=low
* New upstream release.
* Bump Standards-Version to 3.9.0: no changes needed.
2010-04-05 - Damien Raude-Morvan <drazzib@debian.org>
mvel (2.0.17-1) unstable; urgency=low
* New upstream release.
- Refresh patches
2010-03-01 - Damien Raude-Morvan <drazzib@debian.org>
mvel (2.0.16-1) unstable; urgency=low
* Initial release (Closes: #571260)

See Also

Package Description
libmwaw-0.3-3_0.3.14-1_amd64.deb import library for some old Mac text documents
libmwaw-dev_0.3.14-1_amd64.deb import library for some old Mac text documents -- development
libmwaw-doc_0.3.14-1_all.deb import library for some old Mac text documents -- documentation
libmwaw-tools_0.3.14-1_amd64.deb import library for some old Mac text documents -- tools
libmxml-bin_2.12-2_amd64.deb small XML parsing library (binaries)
libmxml-dev_2.12-2_amd64.deb small XML parsing library (development)
libmxml1_2.12-2_amd64.deb small XML parsing library (runtime)
libmygpo-qt-dev_1.1.0-3_amd64.deb Development headers for the mygpo-qt library
libmygpo-qt5-1_1.1.0-3_amd64.deb mygpo-qt library package
libmygui-dev_3.2.2+dfsg-2+b2_amd64.deb Fast, simple and flexible GUI for OpenMW - development files
libmygui.ogreplatform0debian1v5_3.2.2+dfsg-2+b2_amd64.deb Fast, simple and flexible GUI - Ogre interface
libmygui.openglplatform0debian1v5_3.2.2+dfsg-2+b2_amd64.deb Fast, simple and flexible GUI - OpenGL interface
libmyguiengine3debian1v5_3.2.2+dfsg-2+b2_amd64.deb Fast, simple and flexible GUI - shared library
libmypaint-1.3-0_1.3.0-2.1_amd64.deb brush library for mypaint
libmypaint-common_1.3.0-2.1_all.deb brush library for mypaint - common files
Advertisement
Advertisement